Index: uspace/drv/vhc/Makefile
===================================================================
--- uspace/drv/vhc/Makefile	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/Makefile	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -44,5 +44,4 @@
 	conndev.c \
 	connhost.c \
-	debug.c \
 	devices.c \
 	hc.c \
Index: uspace/drv/vhc/conndev.c
===================================================================
--- uspace/drv/vhc/conndev.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/conndev.c	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -99,5 +99,5 @@
 		int rc = get_device_name(callback, devname, DEVICE_NAME_MAXLENGTH);
 
-		dprintf(0, "virtual device connected (name: %s, id: %x)",
+		usb_log_info("New virtual device `%s' (id = %x).\n",
 		    rc == EOK ? devname : "<unknown>", dev->id);
 
@@ -122,5 +122,5 @@
 	}
 
-	dprintf(0, "virtual device disconnected (id: %x)", dev->id);
+	usb_log_info("Virtual device disconnected (id = %x).\n", dev->id);
 	virtdev_destroy_device(dev);
 }
Index: uspace/drv/vhc/connhost.c
===================================================================
--- uspace/drv/vhc/connhost.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/connhost.c	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -93,5 +93,5 @@
     usbhc_iface_transfer_out_callback_t callback, void *arg)
 {
-	dprintf(3, "transfer OUT [%d.%d (%s); %zu]",
+	usb_log_debug2("Transfer OUT [%d.%d (%s); %zu].\n",
 	    target.address, target.endpoint,
 	    usb_str_transfer_type(transfer_type),
@@ -113,5 +113,5 @@
     usbhc_iface_transfer_out_callback_t callback, void *arg)
 {
-	dprintf(3, "transfer SETUP [%d.%d (%s); %zu]",
+	usb_log_debug2("Transfer SETUP [%d.%d (%s); %zu].\n",
 	    target.address, target.endpoint,
 	    usb_str_transfer_type(transfer_type),
@@ -133,5 +133,5 @@
     usbhc_iface_transfer_in_callback_t callback, void *arg)
 {
-	dprintf(3, "transfer IN [%d.%d (%s); %zu]",
+	usb_log_debug2("Transfer IN [%d.%d (%s); %zu].\n",
 	    target.address, target.endpoint,
 	    usb_str_transfer_type(transfer_type),
Index: uspace/drv/vhc/debug.c
===================================================================
--- uspace/drv/vhc/debug.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- * Copyright (c) 2010 Vojtech Horky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup drvusbvhc
- * @{
- */
-/** @file
- * @brief Debugging support.
- */
-#include <stdio.h>
-#include <ipc/ipc.h>
-#include <usb/debug.h>
-
-#include "vhcd.h"
-
-
-/** Debug print informing of invalid call.
- */
-void dprintf_inval_call(int level, ipc_call_t call, sysarg_t phone_hash)
-{
-	dprintf(level, "phone%#x: invalid call [%u (%u, %u, %u, %u, %u)]",
-	    phone_hash,
-	    IPC_GET_IMETHOD(call),
-	    IPC_GET_ARG1(call), IPC_GET_ARG2(call), IPC_GET_ARG3(call),
-	    IPC_GET_ARG4(call), IPC_GET_ARG5(call));
-}
-
-/**
- * @}
- */
Index: uspace/drv/vhc/devices.c
===================================================================
--- uspace/drv/vhc/devices.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/devices.c	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -196,5 +196,5 @@
 	if (virtual_hub_device.address == transaction->target.address) {
 		size_t tmp;
-		dprintf(1, "sending `%s' transaction to hub",
+		usb_log_debug2("Sending `%s' transaction to hub.\n",
 		    usbvirt_str_transaction_type(transaction->type));
 		switch (transaction->type) {
@@ -222,5 +222,4 @@
 				break;
 		}
-		dprintf(4, "transaction on hub processed...");
 		outcome = USB_OUTCOME_OK;
 	}
Index: uspace/drv/vhc/hc.c
===================================================================
--- uspace/drv/vhc/hc.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/hc.c	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -92,5 +92,5 @@
     usb_transaction_outcome_t outcome)
 {
-	dprintf(3, "transaction " TRANSACTION_FORMAT " done, outcome: %s",
+	usb_log_debug2("Transaction " TRANSACTION_FORMAT " done: %s.\n",
 	    TRANSACTION_PRINTF(*transaction),
 	    usb_str_transaction_outcome(outcome));
@@ -108,5 +108,5 @@
 	static unsigned int seed = 4573;
 	
-	printf("%s: transaction processor ready.\n", NAME);
+	usb_log_info("Transaction processor ready.\n");
 	
 	while (true) {
@@ -125,11 +125,7 @@
 		list_remove(first_transaction_link);
 		
-
-		dprintf(0, "about to process " TRANSACTION_FORMAT " [%s]",
+		usb_log_debug("Processing " TRANSACTION_FORMAT " [%s].\n",
 		    TRANSACTION_PRINTF(*transaction), ports);
 
-		dprintf(3, "processing transaction " TRANSACTION_FORMAT "",
-		    TRANSACTION_PRINTF(*transaction));
-		
 		usb_transaction_outcome_t outcome;
 		outcome = virtdev_send_to_all(transaction);
@@ -148,5 +144,5 @@
 	fid_t fid = fibril_create(hc_manager_fibril, NULL);
 	if (fid == 0) {
-		printf(NAME ": failed to start HC manager fibril\n");
+		usb_log_fatal("Failed to start HC manager fibril.\n");
 		return;
 	}
@@ -172,9 +168,13 @@
 	transaction->callback = callback;
 	transaction->callback_arg = arg;
-	
-	dprintf(3, "creating transaction " TRANSACTION_FORMAT,
+
+	return transaction;
+}
+
+static void hc_add_transaction(transaction_t *transaction)
+{
+	usb_log_debug("Adding transaction " TRANSACTION_FORMAT ".\n",
 	    TRANSACTION_PRINTF(*transaction));
-	
-	return transaction;
+	list_append(&transaction->link, &transaction_list);
 }
 
@@ -190,5 +190,5 @@
 	    target, transfer_type,
 	    buffer, len, callback, arg);
-	list_append(&transaction->link, &transaction_list);
+	hc_add_transaction(transaction);
 }
 
@@ -203,5 +203,5 @@
 	    target, transfer_type,
 	    buffer, len, callback, arg);
-	list_append(&transaction->link, &transaction_list);
+	hc_add_transaction(transaction);
 }
 
Index: uspace/drv/vhc/hcd.c
===================================================================
--- uspace/drv/vhc/hcd.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/hcd.c	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -94,5 +94,6 @@
 	virtual_hub_device_init(dev);
 
-	printf("%s: virtual USB host controller ready.\n", NAME);
+	usb_log_info("Virtual USB host controller ready (id = %zu).\n",
+	    (size_t) dev->handle);
 
 	return EOK;
@@ -117,5 +118,5 @@
 	sleep(5);
 
-	usb_dprintf_enable(NAME, -1);
+	usb_log_enable(USB_LOG_LEVEL_INFO, NAME);
 
 	printf(NAME ": virtual USB host controller driver.\n");
Index: uspace/drv/vhc/hub.c
===================================================================
--- uspace/drv/vhc/hub.c	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/hub.c	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -63,5 +63,5 @@
 	    = fibril_create(hub_register_in_devman_fibril, hc_dev);
 	if (root_hub_registration == 0) {
-		printf(NAME ": failed to create hub registration fibril\n");
+		usb_log_fatal("Failed to create hub registration fibril.\n");
 		return;
 	}
Index: uspace/drv/vhc/vhcd.h
===================================================================
--- uspace/drv/vhc/vhcd.h	(revision ef8d6558c58526391170f038efdfc4dfa25d034f)
+++ uspace/drv/vhc/vhcd.h	(revision 0b314096809e841d815b7cedeaf1988722db8c0e)
@@ -45,7 +45,7 @@
 #define DEVMAP_PATH_DEV NAMESPACE "/" NAME_DEV
 
-#define dprintf(level, format, ...) \
-	usb_dprintf(NAME, (level), format "\n", ##__VA_ARGS__)
-void dprintf_inval_call(int, ipc_call_t, sysarg_t);
+//#define dprintf(level, format, ...)
+//	usb_dprintf(NAME, (level), format "\n", ##__VA_ARGS__)
+//void dprintf_inval_call(int, ipc_call_t, sysarg_t);
 
 #endif
